<?php

    include_once( PLOG_CLASS_PATH."class/action/blogaction.class.php" );
    include_once( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
    
    class ShowLunarCalendarAction extends BlogAction
    {
		var $_calendarTemplate;
		
        function ShowLunarCalendarAction( $actionInfo, $request )
        {
            $this->BlogAction( $actionInfo, $request );
        }
        
        function perform()
        {
            $this->_calendarTemplate = $this->_request->getValue( "show" );

            $this->_view = new PluginTemplatedView( $this->_blogInfo, "lunar", $this->_calendarTemplate );
            $this->setCommonData();
            
            return true;
        }
    }
?>